#
# old_revision [06738e14fae8309878e62cab9ea191be8fe891ce]
#
# patch "test/unit/tests/xdelta.cc"
#  from [4aff975cfd9a9cf18c26f70118e2895880ed6100]
#    to [f0e8c422284360f40c65ddc779da1c629f412827]
#
============================================================
--- test/unit/tests/xdelta.cc	4aff975cfd9a9cf18c26f70118e2895880ed6100
+++ test/unit/tests/xdelta.cc	f0e8c422284360f40c65ddc779da1c629f412827
@@ -8,11 +8,16 @@
 // PURPOSE.
 
 #include "../../../src/base.hh"
+
+// <boost/math/special_functions/detail/lgamma_small.hpp> uses L().
+// This conflicts with a #define in "../../../src/sanity.hh"
+// Workaround: Include BOOST header before "../xdelta.hh"
+#include <boost/random.hpp>
+
 #include "../unit_tests.hh"
 #include "../../../src/xdelta.hh"
 
 #include "../../../src/adler32.hh"
-#include <boost/random.hpp>
 
 boost::mt19937 xdelta_prng;
 boost::uniform_smallint<char> xdelta_chargen('a', 'z');
